[建议] GCC 新手入门

C、C++和Java语言
回复
头像
charleskao
帖子: 206
注册时间: 2008-03-27 17:21
送出感谢: 0
接收感谢: 0
联系:

Re: [建议] GCC 新手入门

#76

帖子 charleskao » 2008-10-28 14:53

:em01 不错,再看一边。
lizhenhua0525
帖子: 2
注册时间: 2008-11-05 22:31
送出感谢: 0
接收感谢: 0

Re: [建议] GCC 新手入门

#77

帖子 lizhenhua0525 » 2008-11-07 15:03

好文章阿,对我这个新手来说很有帮助
头像
v522zy
帖子: 36
注册时间: 2008-01-06 8:43
来自: 东北大学
送出感谢: 0
接收感谢: 0

Re: [建议] GCC 新手入门

#78

帖子 v522zy » 2008-11-19 21:58

顶一个
ckwan
帖子: 185
注册时间: 2006-09-18 20:07
送出感谢: 0
接收感谢: 0

Re: [建议] GCC 新手入门

#79

帖子 ckwan » 2008-11-19 23:38

偶也遇到printf隐式声明的问题。但试图

代码: 全选

sudo apt-get install build-essential
系统返回

代码: 全选

charles@charles-laptop:~$ sudo apt-get install build-essential
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
读取状态信息... 完成             
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
  build-essential: 依赖: libc6-dev 但是它将不会被安装 或
                           libc-dev
                   依赖: g++ (>= 4:4.1.1) 但是它将不会被安装
E: 无法安装的软件包
这令偶很头疼,难道升级过后再想设定编程环境就不能进行了?依赖真的是Debian/Ubuntu的大问题啊~

ps: 偶环境:ASUS U5F笔记本,UBUNTU HARDY
steven_funy
帖子: 15
注册时间: 2008-11-19 23:13
送出感谢: 0
接收感谢: 0

Re: [建议] GCC 新手入门

#80

帖子 steven_funy » 2008-11-20 21:55

很好的帖子,谢谢了适合我们初学者。
谢谢
wubing266
帖子: 4
注册时间: 2008-11-12 15:07
送出感谢: 0
接收感谢: 0

Re: [建议] GCC 新手入门

#81

帖子 wubing266 » 2008-11-22 13:51

真的写的好啊,对俺们入门者很有帮助!
谢谢您! :em01
马恒阳
帖子: 24
注册时间: 2008-06-17 18:38
来自: 河南农业大学
送出感谢: 0
接收感谢: 0
联系:

Re: [建议] GCC 新手入门

#82

帖子 马恒阳 » 2008-11-24 12:25

还是没VC++好用呀.
广交天下朋友
头像
iceway
帖子: 33
注册时间: 2007-10-15 9:08
来自: Xiamen, China
送出感谢: 0
接收感谢: 0

Re: [建议] GCC 新手入门

#83

帖子 iceway » 2008-12-04 12:27

Thanks!!!
我刚学不久,这个对我很有用...
有些故事还没讲完, 那就算了吧;有些心情在岁月中, 已经难辨真假。
bitbybit.72pines.com
gbluo
帖子: 33
注册时间: 2008-11-17 14:13
送出感谢: 0
接收感谢: 0

Re: [建议] GCC 新手入门

#84

帖子 gbluo » 2008-12-09 19:37

我也顶一下,不过我想知道一下除/usr/lib/libm.a之外,其他函数库该用什么参数呢?
gbluo
帖子: 33
注册时间: 2008-11-17 14:13
送出感谢: 0
接收感谢: 0

Re: [建议] GCC 新手入门

#85

帖子 gbluo » 2008-12-09 19:42

ckwan 写了:偶也遇到printf隐式声明的问题。但试图

代码: 全选

sudo apt-get install build-essential
系统返回

代码: 全选

charles@charles-laptop:~$ sudo apt-get install build-essential
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
读取状态信息... 完成             
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
  build-essential: 依赖: libc6-dev 但是它将不会被安装 或
                           libc-dev
                   依赖: g++ (>= 4:4.1.1) 但是它将不会被安装
E: 无法安装的软件包
这令偶很头疼,难道升级过后再想设定编程环境就不能进行了?依赖真的是Debian/Ubuntu的大问题啊~

ps: 偶环境:ASUS U5F笔记本,UBUNTU HARDY
你可以换一个源试试,还解决不了的话我也帮不上忙。
hansonfox
帖子: 5
注册时间: 2008-08-27 13:46
送出感谢: 0
接收感谢: 0
联系:

Re: [建议] GCC 新手入门

#86

帖子 hansonfox » 2008-12-15 10:59

Thank you~
Lz你是个 大好人!
xincunmin
帖子: 1
注册时间: 2008-12-20 18:39
送出感谢: 0
接收感谢: 0

Re: [建议] GCC 新手入门

#87

帖子 xincunmin » 2008-12-20 19:16

非常不错,我喜欢!
ubuntu_andrew
帖子: 39
注册时间: 2008-11-28 15:37
送出感谢: 0
接收感谢: 0

Re: [建议] GCC 新手入门

#88

帖子 ubuntu_andrew » 2008-12-23 11:00

感谢!
Microsoft terminator -- ubuntu.
What we want is just, free!
绿色植物
帖子: 35
注册时间: 2008-12-22 19:40
送出感谢: 0
接收感谢: 0

Re: [建议] GCC 新手入门

#89

帖子 绿色植物 » 2008-12-24 9:52

刚学了GCC新手入门,发现我的环境太“智能”了???两个问题。

1.捕捉错误 编译时没加-Wall也给出了警告
2.链接外部库 直接$ gcc -Wall calc.c -o calc就通过了,没用-lm。

“智能”的让我糊涂。。。 :em20
我用的是ubuntu8.04,gcc我也忘了是什么时候装的了。 :em02
头像
小小飞雨
帖子: 19
注册时间: 2008-11-03 20:06
送出感谢: 0
接收感谢: 0

Re: [建议] GCC 新手入门

#90

帖子 小小飞雨 » 2009-01-07 12:18

收藏!
ubuntu学习中................
回复

回到 “C/C++/Java”